fprints
Prev | Orchestra Opcodes and Operators | Next

## fprints

fprints — Similar to prints but prints to a file.

## Description

Similar to prints but prints to a file.

## Syntax

    fprints "filename", "string" [, ival1] [, ival2] [...]

## Initialization

"filename" -- name of the output file.

"string" -- the text string to be printed. Can be up to 8192 characters and must be in double quotes.

ival1, ival2, ... (optional) -- The i-rate values to be printed. These are specified in “string” with the standard C value specifier (%f, %d, etc.) in the order given.

## Performance

fprints is similar to the prints opcode except it outputs to a file. For more information about output formatting, please look at printks's documentation.

## Examples

Here is an example of the fprints opcode. It uses the file fprints.csd. Note that the example must be run from a directory for which the user has write access.

Example 381. Example of the fprints opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -n   ; no sound
    ; For Non-realtime ouput leave only the line below:
    ; -o fprints.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; by Matt Ingalls, edited by Kevin Conder.

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1     ; a score generator

    fprints "my.sco", "%!Generated score by ma++\\n \\n"    ; Print to the file "my.sco".

    endin

    </CsInstruments>
    <CsScore>
    i 1 0 0.001
    e
    </CsScore>
    </CsoundSynthesizer>

This example will generate a file called “my.sco”. It should contain a line like this:

    ;Generated score by ma++

## See also

File Input and Output

## Credits

Author: Matt Ingalls
January 2003

Prev | Up | Next
fprintks | Home | frac